classification
Title: tkinter documentation: update "see also" list
Type: enhancement Stage: resolved
Components: Documentation, Tkinter Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, docs@python, eric.araujo, michael.driscoll, python-dev, r.david.murray, roger.serwy, terry.reedy, weirdink13
Priority: normal Keywords: patch

Created on 2012-06-10 00:49 by weirdink13, last changed 2012-07-27 11:49 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
issue15041.diff asvetlov, 2012-07-22 12:46 review
Messages (9)
msg162568 - (view) Author: Daniel Swanson (weirdink13) Date: 2012-06-10 00:49
I was looking for information about menus in tkinter and checked the "see also" list. The second is copyrighted 1999, the third says Python 2.5 and the first is pretty much just links to the second and third. The forth is a book. It is my opinion that these resources should be updated.
msg162591 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-06-10 17:18
If you find any resources that we can link to, please post them here.
msg162592 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-06-10 18:04
The 2.7 doc can also be updated. Here is a couple to add or replace.

Tcl/Tk 8.5 Manual http://www.tcl.tk/man/tcl8.5/
The the current tcl/tk reference manual. The Tk Commands section is the most relevant for tkinter.

TKDocs http://www.tkdocs.com/
Extensive tutorial plus friendlier widget pages for some of the widgets.
msg162600 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-06-11 01:26
Kevin Walzer, who uses tk/inter regularly, sent me the following

effbot has a more recent work-in-progress update of his Tkinter docs here: http://effbot.org/tkinterbook/

I refer to this a lot.

"Programming Python" by Mark Lutz (Amazon link here: http://www.amazon.com/Programming-Python-Mark-Lutz/dp/0596158106/ref=dp_ob_title_bk) has excellent coverage of Tkinter.

+1 for the TkDocs site--very nice.
msg162644 - (view) Author: Michael Driscoll (michael.driscoll) * Date: 2012-06-11 20:32
I thought the ebook, "Modern Tkinter for Busy Python Developers" by Mark Roseman was pretty good too: http://www.amazon.com/Modern-Tkinter-Python-Developers-ebook/dp/B0071QDNLO/ref=sr_1_1?ie=UTF8&qid=1339446684&sr=8-1
msg166131 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-07-22 12:46
Add all recommended resources into seealso section.

If it's ok I will commit it next week.
msg166483 - (view) Author: Roundup Robot (python-dev) Date: 2012-07-26 14:20
New changeset aa296d685e02 by Andrew Svetlov in branch '3.2':
Issue #15041: update "see also" list in tkinter documentation.
http://hg.python.org/cpython/rev/aa296d685e02

New changeset e2ab56295b56 by Andrew Svetlov in branch 'default':
Issue #15041: update "see also" list in tkinter documentation.
http://hg.python.org/cpython/rev/e2ab56295b56

New changeset c947f493ccec by Andrew Svetlov in branch '2.7':
Issue #15041: Update "see also" list in tkinter documentation.
http://hg.python.org/cpython/rev/c947f493ccec
msg166521 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2012-07-26 21:16
FYI, there is no need to add a Misc/NEWS entry for such small doc changes (and especially not in the Library section :)  The Documentation section of Misc/NEWS is used for important changes to the doc or the toolchain, not the everyday changes we do.
msg166556 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-07-27 11:49
Ok
History
Date User Action Args
2012-07-27 11:49:42asvetlovsetmessages: + msg166556
2012-07-26 21:16:22eric.araujosetnosy: + eric.araujo
messages: + msg166521
2012-07-26 19:31:09asvetlovsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2012-07-26 14:20:04python-devsetnosy: + python-dev
messages: + msg166483
2012-07-22 12:46:35asvetlovsetfiles: + issue15041.diff
keywords: + patch
messages: + msg166131
2012-06-11 20:32:21michael.driscollsetnosy: + michael.driscoll
messages: + msg162644
2012-06-11 01:26:09terry.reedysetmessages: + msg162600
2012-06-10 18:04:46terry.reedysetassignee: docs@python

components: + Tkinter
title: tkinter documentation "see also" list in Python3 is from Python2 -> tkinter documentation: update "see also" list
nosy: + roger.serwy
versions: + Python 2.7, Python 3.3
messages: + msg162592
stage: needs patch
2012-06-10 17:22:52r.david.murraysetnosy: + asvetlov
2012-06-10 17:18:34r.david.murraysetassignee: docs@python -> (no value)

messages: + msg162591
nosy: + r.david.murray, terry.reedy
2012-06-10 00:53:12weirdink13settype: enhancement
title: tkinter "see also" list is from Python2 -> tkinter documentation "see also" list in Python3 is from Python2
2012-06-10 00:49:33weirdink13create